Instalar la impresora Lexmark Z-xx en Ubuntu Dapper

+1
0
-1

Este no es ningún truco ni secreto.

Es simplemente el procedimiento normal que hay que llevar a cabo cuando nos encontramos con un bug en nuestro sistema operativo GNU/Linux como es ahora el caso de las impresoras Lexmark Z-xx, con las cuales no podemos imprimir en nuestro Ubuntu Dapper.

El problema es del paquet gutenprint.
Mirar: https://launchpad.net/distros/ubuntu/+source/gutenprint/+bug/6627

Símptomas: la impresora está correctamente instalada pero cuando enviamos un trabajo nos imprime una sola página en blanco, pero nada más.

La solución pasa por instalar "a pelo" la versión más reciente del gutenprint, que podéis descargaros en la siguiente dirección:
http://sourceforge.net/project/showfiles.php?group_id=1537

Tenéis que bajaros los snapshots. A fecha 11/07/2006 es el fichero gutenprint20060703.tar.bz2.

Una vez descargado, los descomprimimos
$ tar -xjf gutenprint20060703.tar.bz2
$ cd guten*
$ ./configure
$ make
$ sudo make install

Dependiendo del software que tengáis instalado puede que os hará falta algún programa. A mi sólo me ha hecho falta instalarme el fichero
$ sudo aptitude install libcupsimage2-dev

Y a imprimir como siempre...

Saludos!

Comentarios

Imagen de Anónimo

Me devuelve este error a la hora de compilar.

luisito89@ubuntu:~/Desktop/gutenprint20060703$ ./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... no
checking how to create a ustar tar archive... gnutar
checking build system type... i686-pc-linuxoldld
checking host system type... i686-pc-linuxoldld
checking for gcc... no
checking for cc... no
checking for cc... no
checking for cl... no
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details.

Alguien puede ayudarme? Un saludo

Imagen de cubano

Prueba a instalarte los compiladores:

$sudo aptitude install gcc-4.0

hasta que no tengas ninguna línea de error debido a los compiladores...

Saludos!

Vicent Cubells i Peña
http://www.vcubells.net
vicent [arroba] vcubells [punto] net

Vicent Cubells i Peña
http://www.vcubells.net
vicent [arroba] vcubells [punto] net

Imagen de cubano

Prueba a instalarte los compiladores:

$sudo aptitude install gcc-4.0

hasta que no tengas ninguna línea de error debido a los compiladores...

Saludos!

Vicent Cubells i Peña
http://www.vcubells.net
vicent [arroba] vcubells [punto] net

Vicent Cubells i Peña
http://www.vcubells.net
vicent [arroba] vcubells [punto] net